// **********************************************************************
//
// Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

#ifndef HELLO_I_H
#define HELLO_I_H

#include <Hello.h>

class HelloI : public Demo::Hello
{
public:
    ::Demo::DfsWriteStreamPrx openWrite(const ::std::string& name, const Ice::Current&);

    void shutdown(const Ice::Current&);
};


class DfsWriteStreamI : public Demo::DfsWriteStream
{
public:
    void write(::Ice::Long, const ::std::pair<const ::Ice::Byte*, const ::Ice::Byte*>&, const Ice::Current&);

    void release(const Ice::Current&);
};


#endif
